package ch.zhaw.projekt2.turnierverwaltung;

import java.io.Serializable;

public class Game implements Serializable {
    private Participant participant1, participant2;
    private int points1, points2;
    private Place place;
    private Game previousGame1, previousGame2;


    public Game(Participant participant1, Participant participant2) {
        this.participant1 = participant1;
        this.participant2 = participant2;
    }

    public Game(Game previousGame1, Game previousGame2){
        this.previousGame1 = previousGame1;
        this.previousGame2 = previousGame2;
    }

    public int getPoints1() {
        return points1;
    }

    public void setPoints1(int points1) {
        this.points1 = points1;
    }

    public int getPoints2() {
        return points2;
    }

    public void setPoints2(int points2) {
        this.points2 = points2;
    }

    public Participant getParticipant1() {
        return participant1;
    }

    public void setParticipant1(Participant participant1) {
        this.participant1 = participant1;
    }

    public void setParticipant2(Participant participant2) {
        this.participant2 = participant2;
    }

    public Participant getParticipant2() {
        return participant2;
    }

    public void setPlace(Place place) {
        this.place = place;
    }

    public Place getPlace() {
        return place;
    }

    public Participant getWinner(){
        if(points1 > points2){
            return participant1;
        } else if(points2 > points1){
            return participant2;
        } else {
            return null;
        }
    }

    public void refreshParticipants(){
        participant1 = previousGame1.getWinner();
        participant2 = previousGame2.getWinner();
    }

}
